(function (api) {
    var cssTemplate = wp.template('cocobasic-color-scheme'),
            colorSchemeKeys = [
                'cocobasic_preloader_background_color',
                'cocobasic_body_background_color',
                'cocobasic_body_color',
                'cocobasic_link_color',
                'cocobasic_burger_menu_background',
                'cocobasic_burger_mobile_menu_background',
                'cocobasic_menu_color',
                'cocobasic_submenu_color',
                'cocobasic_menu_background_color',
                'cocobasic_dark_section_background_color',
                'cocobasic_light_section_background_color',
                'cocobasic_comments_background_color'
            ],
            colorSettings = [
                'cocobasic_preloader_background_color',
                'cocobasic_body_background_color',
                'cocobasic_body_color',
                'cocobasic_link_color',
                'cocobasic_burger_menu_background',
                'cocobasic_burger_mobile_menu_background',
                'cocobasic_menu_color',
                'cocobasic_submenu_color',
                'cocobasic_menu_background_color',
                'cocobasic_dark_section_background_color',
                'cocobasic_light_section_background_color',
                'cocobasic_comments_background_color'
            ];

    api.controlConstructor.select = api.Control.extend({
        ready: function () {
            if ('cocobasic_color_scheme_selector' === this.id) {

                this.setting.bind('change', function (value) {

                    api('cocobasic_preloader_background_color').set(colorScheme[value].colors[0]);
                    api.control('cocobasic_preloader_background_color').container.find('.color-picker-hex')
                            .data('data-default-color', colorScheme[value].colors[0])
                            .wpColorPicker('defaultColor', colorScheme[value].colors[0]);

                    api('cocobasic_body_background_color').set(colorScheme[value].colors[1]);
                    api.control('cocobasic_body_background_color').container.find('.color-picker-hex')
                            .data('data-default-color', colorScheme[value].colors[1])
                            .wpColorPicker('defaultColor', colorScheme[value].colors[1]);

                    api('cocobasic_body_color').set(colorScheme[value].colors[2]);
                    api.control('cocobasic_body_color').container.find('.color-picker-hex')
                            .data('data-default-color', colorScheme[value].colors[2])
                            .wpColorPicker('defaultColor', colorScheme[value].colors[2]);

                    api('cocobasic_link_color').set(colorScheme[value].colors[3]);
                    api.control('cocobasic_link_color').container.find('.color-picker-hex')
                            .data('data-default-color', colorScheme[value].colors[3])
                            .wpColorPicker('defaultColor', colorScheme[value].colors[3]);

                    api('cocobasic_burger_menu_background').set(colorScheme[value].colors[4]);
                    api.control('cocobasic_burger_menu_background').container.find('.color-picker-hex')
                            .data('data-default-color', colorScheme[value].colors[4])
                            .wpColorPicker('defaultColor', colorScheme[value].colors[4]);

                    api('cocobasic_burger_mobile_menu_background').set(colorScheme[value].colors[5]);
                    api.control('cocobasic_burger_mobile_menu_background').container.find('.color-picker-hex')
                            .data('data-default-color', colorScheme[value].colors[5])
                            .wpColorPicker('defaultColor', colorScheme[value].colors[5]);

                    api('cocobasic_menu_color').set(colorScheme[value].colors[6]);
                    api.control('cocobasic_menu_color').container.find('.color-picker-hex')
                            .data('data-default-color', colorScheme[value].colors[6])
                            .wpColorPicker('defaultColor', colorScheme[value].colors[6]);

                    api('cocobasic_submenu_color').set(colorScheme[value].colors[7]);
                    api.control('cocobasic_submenu_color').container.find('.color-picker-hex')
                            .data('data-default-color', colorScheme[value].colors[7])
                            .wpColorPicker('defaultColor', colorScheme[value].colors[7]);

                    api('cocobasic_menu_background_color').set(colorScheme[value].colors[8]);
                    api.control('cocobasic_menu_background_color').container.find('.color-picker-hex')
                            .data('data-default-color', colorScheme[value].colors[8])
                            .wpColorPicker('defaultColor', colorScheme[value].colors[8]);

                    api('cocobasic_dark_section_background_color').set(colorScheme[value].colors[9]);
                    api.control('cocobasic_dark_section_background_color').container.find('.color-picker-hex')
                            .data('data-default-color', colorScheme[value].colors[9])
                            .wpColorPicker('defaultColor', colorScheme[value].colors[9]);

                    api('cocobasic_light_section_background_color').set(colorScheme[value].colors[10]);
                    api.control('cocobasic_light_section_background_color').container.find('.color-picker-hex')
                            .data('data-default-color', colorScheme[value].colors[10])
                            .wpColorPicker('defaultColor', colorScheme[value].colors[10]);

                    api('cocobasic_comments_background_color').set(colorScheme[value].colors[11]);
                    api.control('cocobasic_comments_background_color').container.find('.color-picker-hex')
                            .data('data-default-color', colorScheme[value].colors[11])
                            .wpColorPicker('defaultColor', colorScheme[value].colors[11]);

                });
            }
        }
    });

})(wp.customize);