(function ($) {

    "use stict";

    wp.customize('cocobasic_preloader_background_color', function (value) {
        value.bind(function (to) {
            var inlineStyle, customColorCssElemnt;
            inlineStyle = '<style class="custom-color-css1">';

            inlineStyle += 'body .doc-loader { background-color: ' + to + '; }';

            inlineStyle += '</style>';

            customColorCssElemnt = $('.custom-color-css1');

            if (customColorCssElemnt.length) {
                customColorCssElemnt.replaceWith(inlineStyle);
            } else {
                $('head').append(inlineStyle);
            }

        });
    });

    wp.customize('cocobasic_body_background_color', function (value) {
        value.bind(function (to) {
            var inlineStyle, customColorCssElemnt;
            inlineStyle = '<style class="custom-color-css2">';

            inlineStyle += 'html body, body .header-left-part, body .header-logo.add-background:after { background-color: ' + to + '; }';

            inlineStyle += '</style>';

            customColorCssElemnt = $('.custom-color-css2');

            if (customColorCssElemnt.length) {
                customColorCssElemnt.replaceWith(inlineStyle);
            } else {
                $('head').append(inlineStyle);
            }

        });
    });

    wp.customize('cocobasic_body_color', function (value) {
        value.bind(function (to) {
            var inlineStyle, customColorCssElemnt;
            inlineStyle = '<style class="custom-color-css3">';

            inlineStyle += 'html body, body h1, body h2, body h3, body h4, body h5, body h6, body .site-content a, body [data-elementor-type="wp-page"] a, body footer .elementor-text-editor a, body .input-default-text, body .wpcf7-form input[type=text], body .wpcf7-form input[type=email], body .wpcf7-form textarea, body span.wpcf7-not-valid-tip, body .wpcf7 form.invalid .wpcf7-response-output, body .wpcf7 form.unaccepted .wpcf7-response-output, body .search-field, body footer, body footer a, body #commentform #email, body #commentform #author, body #commentform #comment, body .form-submit input[type=submit], body .more-posts, body .no-more-posts, body .more-posts-loading { color: ' + to + '; }';
            inlineStyle += 'body .wpcf7-form .contact-submit-holder:after, body .search-field:focus, body .form-submit:after, body .more-posts:before, body .no-more-posts:before, body .more-posts-loading:before { border-color: ' + to + '; }';
            inlineStyle += 'body.single .nav-links:before, body blockquote { background-color: ' + to + '; }';
            inlineStyle += 'body .search-field::-webkit-input-placeholder { color: ' + to + '; }';
            inlineStyle += 'body .search-field:-ms-input-placeholder { color: ' + to + '; }';
            inlineStyle += 'body .search-field::placeholder { color: ' + to + '; }';

            inlineStyle += '</style>';

            customColorCssElemnt = $('.custom-color-css3');

            if (customColorCssElemnt.length) {
                customColorCssElemnt.replaceWith(inlineStyle);
            } else {
                $('head').append(inlineStyle);
            }

        });
    });

    wp.customize('cocobasic_link_color', function (value) {
        value.bind(function (to) {
            var inlineStyle, customColorCssElemnt;
            inlineStyle = '<style class="custom-color-css4">';

            inlineStyle += 'body h1 a:hover, body h2 a:hover, body h3 a:hover, body h4 a:hover, body h5 a:hover, body h6 a:hover, body .logged-in-as, body .wp-link-pages > a:hover { color: ' + to + '; }';
            inlineStyle += 'body .wpcf7 form.invalid .wpcf7-response-output, body .wpcf7 form.unaccepted .wpcf7-response-output { border-color: ' + to + '; }';
            inlineStyle += 'body .site-content a:after, body [data-elementor-type="wp-page"] a:after, body footer .elementor-text-editor a:after, body .sm-clean > li > a:after, body span.wpcf7-not-valid-tip, body .wpcf7 form.invalid .wpcf7-response-output, body .wpcf7 form.unaccepted .wpcf7-response-output, body [data-elementor-type="wp-page"] a.coco-button-underline:after, body .wp-link-pages > span, body .widget a:after { background-color: ' + to + '; }';

            inlineStyle += '</style>';

            customColorCssElemnt = $('.custom-color-css4');

            if (customColorCssElemnt.length) {
                customColorCssElemnt.replaceWith(inlineStyle);
            } else {
                $('head').append(inlineStyle);
            }

        });
    });

    wp.customize('cocobasic_menu_color', function (value) {
        value.bind(function (to) {
            var inlineStyle, customColorCssElemnt;
            inlineStyle = '<style class="custom-color-css5">';

            inlineStyle += 'body .sm-clean a, body .sm-clean a:hover, body .sm-clean a:focus, body .sm-clean a:active, body .custom-menu-title { color: ' + to + '; }';

            inlineStyle += '</style>';

            customColorCssElemnt = $('.custom-color-css5');

            if (customColorCssElemnt.length) {
                customColorCssElemnt.replaceWith(inlineStyle);
            } else {
                $('head').append(inlineStyle);
            }

        });
    });

    wp.customize('cocobasic_submenu_color', function (value) {
        value.bind(function (to) {
            var inlineStyle, customColorCssElemnt;
            inlineStyle = '<style class="custom-color-css6">';

            inlineStyle += 'body .sm-clean a span.sub-arrow, body .sm-clean .sub-menu li a, body .sm-clean .children li a { color: ' + to + '; }';

            inlineStyle += '</style>';

            customColorCssElemnt = $('.custom-color-css6');

            if (customColorCssElemnt.length) {
                customColorCssElemnt.replaceWith(inlineStyle);
            } else {
                $('head').append(inlineStyle);
            }

        });
    });

    wp.customize('cocobasic_menu_background_color', function (value) {
        value.bind(function (to) {
            var inlineStyle, customColorCssElemnt;
            inlineStyle = '<style class="custom-color-css7">';

            inlineStyle += 'body .header-full-menu, body .header-right-part-holder { background-color: ' + to + '; }';

            inlineStyle += '</style>';

            customColorCssElemnt = $('.custom-color-css7');

            if (customColorCssElemnt.length) {
                customColorCssElemnt.replaceWith(inlineStyle);
            } else {
                $('head').append(inlineStyle);
            }

        });
    });

    wp.customize('cocobasic_burger_menu_background', function (value) {
        value.bind(function (to) {
            var inlineStyle, customColorCssElemnt;
            inlineStyle = '<style class="custom-color-css8">';

            inlineStyle += 'body #toggle div { background-color: ' + to + '; }';

            inlineStyle += '</style>';

            customColorCssElemnt = $('.custom-color-css8');

            if (customColorCssElemnt.length) {
                customColorCssElemnt.replaceWith(inlineStyle);
            } else {
                $('head').append(inlineStyle);
            }

        });
    });

    wp.customize('cocobasic_burger_mobile_menu_background', function (value) {
        value.bind(function (to) {
            var inlineStyle, customColorCssElemnt;
            inlineStyle = '<style class="custom-color-css9">';

            inlineStyle += 'body.small-menu #toggle div, body.cocobasic-open-menu #toggle div, body.cocobasic-open-menu-done #toggle div { background-color: ' + to + '; }';

            inlineStyle += '</style>';

            customColorCssElemnt = $('.custom-color-css9');

            if (customColorCssElemnt.length) {
                customColorCssElemnt.replaceWith(inlineStyle);
            } else {
                $('head').append(inlineStyle);
            }

        });
    });

    wp.customize('cocobasic_dark_section_background_color', function (value) {
        value.bind(function (to) {
            var inlineStyle, customColorCssElemnt;
            inlineStyle = '<style class="custom-color-css10">';

            inlineStyle += 'body .cocobasic-dark-section, body .skill-fill-mask, body.single.single-portfolio .content-holder, body .archive-title, html body .tags-holder a, body .img-caption, body .alignfull > figcaption, body .alignfull > .wp-caption-text, body.search .nav-links .current, body.archive .nav-links .current { background-color: ' + to + '; }';
            inlineStyle += 'html body .tags-holder a { border-color: ' + to + '; }';
            inlineStyle += 'body .tags-holder a:hover, body.search .nav-links a, body.archive .nav-links a, body.search .nav-links a:hover, body.archive .nav-links a:hover { color: ' + to + '; }';

            inlineStyle += '</style>';

            customColorCssElemnt = $('.custom-color-css10');

            if (customColorCssElemnt.length) {
                customColorCssElemnt.replaceWith(inlineStyle);
            } else {
                $('head').append(inlineStyle);
            }

        });
    });

    wp.customize('cocobasic_light_section_background_color', function (value) {
        value.bind(function (to) {
            var inlineStyle, customColorCssElemnt;
            inlineStyle = '<style class="custom-color-css11">';

            inlineStyle += 'body .cocobasic-light-section, body .blog-item-holder .entry-holder, body.page-template-default .content-holder, body.single .content-holder, body.attachment .content-holder, body.error404 .content-holder, body .wp-block-columns.alignfull, body .alignfull:not(.has-background) .wp-block-columns { background-color: ' + to + '; }';

            inlineStyle += '</style>';

            customColorCssElemnt = $('.custom-color-css11');

            if (customColorCssElemnt.length) {
                customColorCssElemnt.replaceWith(inlineStyle);
            } else {
                $('head').append(inlineStyle);
            }

        });
    });

    wp.customize('cocobasic_comments_background_color', function (value) {
        value.bind(function (to) {
            var inlineStyle, customColorCssElemnt;
            inlineStyle = '<style class="custom-color-css12">';

            inlineStyle += 'body #comments, body.archive .content-holder, body.search .content-holder { background-color: ' + to + '; }';

            inlineStyle += '</style>';

            customColorCssElemnt = $('.custom-color-css12');

            if (customColorCssElemnt.length) {
                customColorCssElemnt.replaceWith(inlineStyle);
            } else {
                $('head').append(inlineStyle);
            }

        });
    });


})(jQuery);